SoftwareEntwicklung Beratung Schulung

A coders, hackers heaven.....Hm...I do not think so...

Apache Maven JDeps Plugin 3.1.0 Released

| Comments

The Apache Maven team is pleased to announce the release of the Apache Maven JDeps Plugin, version 3.1.0.

The JDeps Plugin uses the jdeps tool to analyze classes for internal API calls. For more information about the standard jdeps tool, please refer to Java+Dependency+Analysis+Tool.

You should specify the version in your project’s plugin configuration:

1
2
3
4
5
<plugin>
  <groupId>org.apache.maven.plugins</groupId>
  <artifactId>maven-jdeps-plugin</artifactId>
  <version>3.1.0</version>
</plugin>

Starting with version 3.1.0 you need Java 7 to use maven-jdeps-plugin.

You can download the appropriate sources etc. from the download page..

Release Notes Maven JDeps Plugin Release Notes Version 3.1.0

Improvements:

  • MJDEPS-4 – Upgrade commons-lang to be able to run with JDK9
  • MJDEPS-5 – Require Java 7
  • MJDEPS-6 – -cp should not duplicated classes/files to analyze

New Feature:

  • MJDEPS-1 – Make the plugin thread safe

Enjoy,

-The Apache Maven team

Comments